# Create a journal run This REST API reference describes how to create a journal run. Request and response field descriptions and sample code are provided. Endpoint: POST /v1/journal-runs Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountingPeriodName` (string) Name of the accounting period. This field determines the target start and end dates of the journal run. Required if you do not include targetStartDate and targetEndDate. Example: "Nov-2014" - `journalEntryDate` (string, required) Date of the journal entry. Example: "2014-11-04" - `organizationLabels` (object) The organization that this run is created for. For each item in the array, either the organizationId or the organizationName field is required. This field is only required when you have already turned on Multi-Org feature. - `organizationLabels.organizationId` (string) The organization ID. - `organizationLabels.organizationName` (string) The organization name. - `targetEndDate` (string) The target end date of the journal run. If you include accountingPeriodName, the targetEndDate must be empty or the same as the end date of the accounting period specified in accountingPeriodName. - `targetStartDate` (string) The target start date of the journal run. Required if you include targetEndDate. If you include accountingPeriodName, the targetStartDate must be empty or the same as the start date of the accounting period specified in accountingPeriodName. - `transactionTypes` (array, required) Transaction types included in the journal run. You can include one or more transaction types. Example: [{"type":"Invoice Item"},{"type":"Revenue Event Item"}] - `transactionTypes.type` (string, required) Transaction type. Invoice Adjustment is deprecated on Production. Zuora recommends that you use the Invoice Item Adjustment instead. If you enable the Invoice Settlement feature, Debit Memo Item, Credit Memo Item, and Credit Memo Application Item are available, Payment and Refund will be replaced by Payment Application and Refund Application. If you enable both the Invoice Settlement feature and the Invoice Item Settlement feature, Payment and Refund will be replaced by Payment Application Item and Refund Application Item. Enum: "Invoice Item", "Taxation Item", "Invoice Item Adjustment (Invoice)", "Invoice Item Adjustment (Tax)", "Invoice Adjustment", "Electronic Payment", "External Payment", "Electronic Refund", "External Refund", "Electronic Credit Balance Payment", "External Credit Balance Payment", "Electronic Credit Balance Refund", "External Credit Balance Refund", "Credit Balance Adjustment (Applied from Credit Balance)", "Credit Balance Adjustment (Transferred to Credit Balance)", "Revenue Event Item", "Debit Memo Item (Charge)", "Debit Memo Item (Tax)", "Credit Memo Item (Charge)", "Credit Memo Item (Tax)", "Credit Memo Application Item", "Electronic Payment Application", "External Payment Application", "Electronic Refund Application", "External Refund Application", "Electronic Payment Application Item", "External Payment Application Item", "Electronic Refund Application Item", "External Refund Application Item" ## Response 200 fields (application/json): - `journalRunNumber` (string) Journal run number. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.